"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ModelListQuery = void 0;
var _PathsParser = require("./converter/PathsParser");
var _SelectionFormatter = require("./converter/SelectionFormatter");
class ModelListQuery {
  getQuery(model, paths) {
    const parser = new _PathsParser.PathsParser();
    const formatter = new _SelectionFormatter.SelectionFormatter();
    const selection = formatter.formatSelection(parser.parse(paths));
    return /* GraphQL */`
            query ListEntries($limit: Int) {
                entries: list${model.pluralApiName}(limit: $limit) {
                    data ${selection}                   
                    error {
                        code
                        message
                        data
                    }
                }
            }
        `;
  }
}
exports.ModelListQuery = ModelListQuery;

//# sourceMappingURL=ModelListQuery.js.map