"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ParsedPath = void 0;
class ParsedPath {
  constructor(path) {
    // Match pattern: key.[Type].remaining, or key.remaining, or just key
    const fragmentMatch = path.match(/^([^.\[]+)(?:\.(?:\[([^\]]+)\]|([^.\[]+)))?(.*)$/);
    this.key = path;
    this.remaining = "";
    if (fragmentMatch) {
      const [, key, fragment, normalField, remaining] = fragmentMatch;
      this.key = key;
      this.fragment = fragment || undefined;
      this.remaining = normalField ? normalField + (remaining || "") : (remaining || "").replace(/^\./, ""); // Remove leading dot if present
    }
  }
  static create(path) {
    return new ParsedPath(path);
  }
}
exports.ParsedPath = ParsedPath;

//# sourceMappingURL=ParsedPath.js.map