"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dataSourcesResolvers = void 0;
var _handlerGraphql = require("@webiny/handler-graphql");
var _2 = require("./..");
const dataSourcesResolvers = exports.dataSourcesResolvers = {
  Query: {
    dataSources: () => ({})
  },
  DataSourcesQuery: {
    loadDataSource: async (_, args, context) => {
      const loader = context.dataSources.getLoader();
      try {
        const data = await loader.load(_2.DataLoaderRequest.create({
          type: args.type,
          config: args.config,
          paths: args.paths || []
        }));
        if (data === undefined) {
          return new _handlerGraphql.ErrorResponse({
            code: "NO_APPLICABLE_DATA_SOURCES",
            message: "No data sources were able to handle the request!"
          });
        }
        return new _handlerGraphql.Response(data);
      } catch (e) {
        if (e.code === "VALIDATION_FAILED_INVALID_FIELDS") {
          return new _handlerGraphql.ErrorResponse({
            code: "DATA_SOURCE_CONFIG_VALIDATION",
            message: "Data source config is invalid.",
            data: e.data
          });
        }
        return new _handlerGraphql.ErrorResponse(e);
      }
    }
  }
};

//# sourceMappingURL=resolvers.js.map