"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createDynamicDataSchema = void 0;
var _handlerGraphql = require("@webiny/handler-graphql");
const createDynamicDataSchema = () => {
  return new _handlerGraphql.GraphQLSchemaPlugin({
    typeDefs: /* GraphQL */`
            type DataSource {
                name: String!
                type: String!
                config: JSON!
            }

            type DataBinding {
                dataSource: String
                bindFrom: String
                bindTo: String
            }

            input DataBindingInput {
                dataSource: String!
                bindFrom: String!
                bindTo: String!
            }

            input DataSourceInput {
                name: String!
                type: String!
                config: JSON!
            }
        `
  });
};
exports.createDynamicDataSchema = createDynamicDataSchema;

//# sourceMappingURL=dynamicData.gql.js.map