"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GetOrCreateTranslatableCollectionUseCase = void 0;
var _TranslatableCollection = require("../domain/TranslatableCollection");
var _GetTranslatableCollectionUseCase = require("./GetTranslatableCollectionUseCase");
class GetOrCreateTranslatableCollectionUseCase {
  constructor(context) {
    this.context = context;
  }
  async execute(collectionId) {
    const getById = new _GetTranslatableCollectionUseCase.GetTranslatableCollectionUseCase(this.context);
    const collection = await getById.execute(collectionId);
    if (!collection) {
      return new _TranslatableCollection.TranslatableCollection({
        collectionId
      });
    }
    return collection;
  }
}
exports.GetOrCreateTranslatableCollectionUseCase = GetOrCreateTranslatableCollectionUseCase;

//# sourceMappingURL=GetOrCreateTranslatableCollectionUseCase.js.map