"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GqlTranslatedCollectionMapper = void 0;
class GqlTranslatedCollectionMapper {
  static toDTO(baseCollection, translatedCollection) {
    return {
      collectionId: translatedCollection.getCollectionId(),
      languageCode: translatedCollection.getLanguageCode(),
      items: translatedCollection.getItems().map(item => {
        return {
          itemId: item.itemId,
          baseValue: () => {
            return baseCollection.getBaseValue(item.itemId) ?? "";
          },
          baseValueModifiedOn: () => {
            const modifiedOn = baseCollection.getItemModifiedOn(item.itemId);
            return modifiedOn ? modifiedOn.toISOString() : "";
          },
          context: () => {
            return baseCollection.getItemContext(item.itemId);
          },
          value: item.value,
          translatedOn: item.translatedOn?.toISOString(),
          translatedBy: item.translatedBy
        };
      })
    };
  }
}
exports.GqlTranslatedCollectionMapper = GqlTranslatedCollectionMapper;

//# sourceMappingURL=GqlTranslatedCollectionMapper.js.map